# ModalHeader (w-modal-header)

## Description

The header section of a modal, typically where you place the title and a close button.

[Warp component reference](https://warp-ds.github.io/docs/components/modal/frameworks/elements)

### `<w-modal-header>` API

#### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| back | `boolean` | `false` | Whether the modal header should have a back button |
| no-close | `boolean` | `false` | Lets you hide the close button in the header |
| title | `string` | `-` | A short but descriptive title for the modal |

#### Property Details

##### back

Whether the modal header should have a back button

- Type: `boolean`
- Default: `false`

##### no-close

Lets you hide the close button in the header

- Type: `boolean`
- Default: `false`

##### title

A short but descriptive title for the modal

- Type: `string`
- Default: `-`

#### Events

##### backClicked



- Type: `CustomEvent`


